package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class PosisiRahim
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "PosisiRahim_M")
public class PosisiRahim extends BaseMaster {
	@NotNull(message = "Kd Posisi Rahim tidak boleh kosong")
	@Column(name = "KdPosisiRahim", nullable = false)
	@Caption(value = "Kode Posisi Rahim")
	private Byte kdPosisiRahim;

	public void setKdPosisiRahim(Byte kdPosisiRahim) {
		this.kdPosisiRahim = kdPosisiRahim;
	}

	public Byte getKdPosisiRahim() {
		return this.kdPosisiRahim;
	}

	@NotNull(message = "Posisi Rahim tidak boleh kosong")
	@Column(name = "PosisiRahim", nullable = false, length = 30)
	@Caption(value = "Posisi Rahim")
	private String posisiRahim;

	public void setPosisiRahim(String posisiRahim) {
		this.posisiRahim = posisiRahim;
	}

	public String getPosisiRahim() {
		return this.posisiRahim;
	}

	@NotNull(message = "QPosisi Rahim tidak boleh kosong")
	@Column(name = "QPosisiRahim", nullable = false)
	@Caption(value = "QPosisi Rahim")
	private Byte qPosisiRahim;

	public void setqPosisiRahim(Byte qPosisiRahim) {
		this.qPosisiRahim = qPosisiRahim;
	}

	public Byte getqPosisiRahim() {
		return this.qPosisiRahim;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.posisirahim_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.posisirahim_m_id_seq", sequenceName = "public.posisirahim_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}